public class AffichageChiffresPoidsFortAPoidsfaible {
  
  public static void affichageRecursif(int n) {
    if ( n >= 10 )
      affichageRecursif(n/10);
    Ecran.afficherln(n%10);  
  }

/////////////////////////////////////////////////////

/* Fonction d'affichage des chiffres d'un entier   */
/* dans le sens poids fort vers poids faible       */
/* Implantation non récursive                      */
/* Paramètre d'entrée :                            */
/*   n : L'entier positif ou nul à traiter         */
  
  public static void affichageNonRecursif(int n) {
    int fact = 1;
    int nb = n;
    while ( nb >= 10 ) {
      nb = nb/10;
      fact = fact*10; }
    do {
      int chiffre = n/fact;
      Ecran.afficherln(chiffre);
      n = n%fact;
      fact = fact/10; }
    while ( fact != 0 );
  }

/////////////////////////////////////////////////////
  
  public static void main(String [] args) {
    affichageRecursif(0);
    Ecran.sautDeLigne();
    affichageRecursif(7);
    Ecran.sautDeLigne();
    affichageRecursif(100);
    Ecran.sautDeLigne();
    affichageRecursif(543787);
    Ecran.sautDeLigne();
    affichageNonRecursif(0);
    Ecran.sautDeLigne();
    affichageNonRecursif(7);
    Ecran.sautDeLigne();
    affichageNonRecursif(100);
    Ecran.sautDeLigne();
    affichageNonRecursif(543787);
  }
}